get_gfx_mode_list(3)

NAME
get_gfx_mode_list

SYNOPSIS
#include <allegro.h>

GFX_MODE_LIST *get_gfx_mode_list(int card);

DESCRIPTION
Attempts to create a list of all the supported video modes for a certain graphics driver. This function returns a pointer to a list structure of the type GFX_MODE_LIST which has the following definition:
   typedef struct GFX_MODE_LIST {
      int num_modes;
      GFX_MODE *mode;
   } GFX_MODE_LIST;

If this function returns NULL, it means the call failed. The mode entry points to the actual list of video modes.
   typedef struct GFX_MODE {
      int width, height, bpp;
   } GFX_MODE;

This list is terminated with an { 0, 0, 0 } entry. Note that the card parameter must refer to a _real_ driver. This function fails if you pass GFX_SAFE, GFX_AUTODETECT, or any other "magic" driver.

SEE ALSO
destroy_gfx_mode_list(3), set_gfx_mode(3), set_color_depth(3)